package com.sunxung.factoring.entity.supplier;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.sys.FileStorageDO;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 下游销售单据
 * </p>
 *
 * @author liutao
 * @since 2023-12-05
 */
@TableName("sales_documents_info")
public class SalesDocumentsInfo {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * c端 下游销售单据id
     */
    @TableField("c_sales_documents_info_history_id")
    private Long cSalesDocumentsInfoHistoryId;

    /**
     * 合作企业名称
     */
    @TableField("name")
    private String name;

    /**
     * 是否达标 0不达标 1达标
     */
    @TableField("compliance")
    private Integer compliance;

    /**
     * 供应商审核第二步id
     */
    @TableField("supplier_approval_second_id")
    private Long supplierApprovalSecondId;

    /**
     * 视频尽调-准入结论 0否 1是
     */
    @TableField("result")
    private Integer result;

    /**
     * 得分
     */
    @TableField("score")
    private BigDecimal score;

    /**
     * 标准得分
     */
    @TableField(exist = false)
    private BigDecimal standardScore;

    @TableField(exist = false)
    private List<FileStorageDO> fileStorageDOS ;

    public BigDecimal getStandardScore() {
        return standardScore;
    }

    public void setStandardScore(BigDecimal standardScore) {
        this.standardScore = standardScore;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public BigDecimal getScore() {
        return score;
    }

    public void setScore(BigDecimal score) {
        this.score = score;
    }

    public List<FileStorageDO> getFileStorageDOS() {
        return fileStorageDOS;
    }

    public void setFileStorageDOS(List<FileStorageDO> fileStorageDOS) {
        this.fileStorageDOS = fileStorageDOS;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getcSalesDocumentsInfoHistoryId() {
        return cSalesDocumentsInfoHistoryId;
    }

    public void setcSalesDocumentsInfoHistoryId(Long cSalesDocumentsInfoHistoryId) {
        this.cSalesDocumentsInfoHistoryId = cSalesDocumentsInfoHistoryId;
    }

    public Integer getCompliance() {
        return compliance;
    }

    public void setCompliance(Integer compliance) {
        this.compliance = compliance;
    }
    public Long getSupplierApprovalSecondId() {
        return supplierApprovalSecondId;
    }

    public void setSupplierApprovalSecondId(Long supplierApprovalSecondId) {
        this.supplierApprovalSecondId = supplierApprovalSecondId;
    }
    public Integer getResult() {
        return result;
    }

    public void setResult(Integer result) {
        this.result = result;
    }

}
